"use server"

import prisma from "@/lib/prisma"

export async function deleteCommissionType(typeId: string) {

  await prisma.commissionTypeOption.deleteMany({
    where: { typeId },
  })

  await prisma.commissionTypeExtra.deleteMany({
    where: { typeId },
  })

  await prisma.commissionType.delete({
    where: { id: typeId },
  })

}